Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
下载 OpenAPI 描述
语言
服务器
Mock server
https://xsolla.redocly.app/_mock/zh/api/shop-builder/
https://store.xsolla.com/api/
个性化目录
此API可让您针对用户属性指定规则。如果用户满足具体规则的所有条件,则会显示个性化商品。
有关个性化促销活动的信息,请参阅促销活动部分。
要在购买前传递属性,您可以使用艾克索拉Login API或在使Pay Station API生成令牌时将它们传入user.attributes属性。
操作
- Mock serverhttps://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/{project_id}/items/virtual_currency/sku/{virtual_currency_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_currency/sku/{virtual_currency_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/44056/items/virtual_currency/sku/crystal?locale=en&country=US&show_inactive_time_limited_items=1&additional_fields%5B%5D=media_list' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'已成功收到虚拟货币。
与商品对应的属性及其值的列表。可用于目录筛选。
默认值 []
示例: {"value":{"external_id":"genre","name":"Жанр","values":[{"external_id":"genre_e3364991f92e751689a68b96598a5a5a84010b85","value":"Casual"},{"external_id":"genre_eba07bfd0f982940773cba3744d97264dd58acd7","value":"Strategy"},{"external_id":"genre_b8d0c6d8f0524c2b2d79ebb93aa3cd0e8b5199a8","value":"Mobile"}]}}
商品所属分组。
默认值 []
示例: [{"external_id":"exclusive","name":"Exclusive"}]
图像URL。
示例: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
应用于购物车中指定商品的促销活动。仅在以下情况下返回该数组:
为某商品配置了折扣促销活动。
应用了对所选商品提供折扣设置的促销码。
如果未应用任何商品级促销活动,则返回空数组。
虚拟价格。
示例: [{"amount":100,"amount_without_discount":100,"image_url":"http://image.png","is_default":true,"sku":"com.xsolla.crystals_1"}]
响应
application/json
{ "attributes": [ { … } ], "can_be_bought": true, "custom_attributes": { "attr": "value", "purchased": 0 }, "description": "Crystals - short description", "groups": [], "image_url": "https://cdn3.xsolla.com/img/misc/images/da33ab6cc1d7e5899cfdc5b6b6180fad.png", "is_free": false, "item_id": 451414, "limits": null, "name": "Crystals", "periods": [ { … } ], "price": { "amount": "100", "amount_without_discount": "100", "currency": "USD" }, "promotions": [], "sku": "com.xsolla.crystal_1", "type": "virtual_currency", "virtual_prices": [] }
- Mock serverhttps://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/{project_id}/items/virtual_items
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_items
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/44056/items/virtual_items?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'响应
application/json
{ "has_more": true, "items": [ { … }, { … }, { … } ] }
- Mock serverhttps://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/{project_id}/items/virtual_items/all
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_items/all
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/zh/api/shop-builder/v2/project/44056/items/virtual_items/all?locale=en&promo_code=WINTER2021' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'已成功接收所有虚拟物品列表。
示例: [{"description":"Big Rocket - description","groups":[{"external_id":"accessory","name":{"en":"accessory"}}],"name":"Big Rocket","sku":"com.xsolla.big_rocket_1"},{"description":"description","groups":[{"external_id":"hair","name":{"en":"Hair"}}],"name":"SHOTGUN FOR TRUE RAIDERS","sku":"com.xsolla.shotgun_raider_1"},{"description":"description","groups":[],"name":"SHOTGUN FOR TRUE RAIDERS","sku":"com.xsolla.shotgun_raider_2"}]
响应
application/json
{ "items": [ { … }, { … }, { … } ] }